/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


.elementor-heading-title a, .elementor-animation-shrink, .elementor-button, .elementor-nav-menu--main .elementor-nav-menu a{
    transition-duration: .3s !important;
}

.swiper-wrapper {
	-webkit-transition-timing-function: linear !important;
	-moz-transition-timing-function: linear !important;
	-o-transition-timing-function: linear !important;
	transition-timing-function: linear !important; 
}

/* Nuorodų stilius schemose */

.styled-link {
    color: #000000;
    text-decoration: underline !important;
    font-weight: 500;
    transition: color 0.2s ease;
}

.styled-link:hover {
    color: #473DD3;
    text-decoration: underline !important;
    font-weight: 500;
}

/* Prekių ženklų registravimo procedūros schema, 7 Prekių ženklo registracijos liudijimas, 03. Registracijos galiojimas */
#registracija .registration-list {
    font-family: Afacad, sans-serif;
    font-weight: 400;
    text-align: left;
    font-size: 24px;
    line-height: 1.2;
    color: #666666;
    padding-top: 16px;
}


.artimiausi-mokymai-button h2 {
    white-space: nowrap;
}

.artimiausiu-mokymu-loop:hover{
	transform: scale(0.99);
}

.artimiausiu-mokymu-loop{
	transition: 0.3s all ease;
}

.wpc-filters-main-wrap input[type=checkbox]{
	display: none;
}

.mokymo-medziaga-item {
    border-bottom: 1px solid #F2F2F2;
}


.mokymai-temos-list {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
}

.mokymai-temos-list .tema-loop-item{
	display: flex;
	gap: 8px;
	padding: 2px 12px;
	align-items: center;
	background-color: white;
	border-radius: 100px;
}


/*Skirtingos spalvos skirtingoms temoms*/
.tema-loop-item.tema-teisiu-gynimas{
	background-color: #EDE4FF;
}
.tema-loop-item.tema-prekiu-zenklai{
	background-color: #FFF5E2;
}

.tema-loop-item.tema-isradimai{
	background-color: #E5FDF6;
}
.tema-loop-item.tema-autoriu-ir-gretutines-teises{
	background-color: #FFFCF4;
}

.tema-loop-item.tema-geografines-nuorodos{
	background-color: #F4F3FF;
}

.tema-loop-item.tema-bendrosios-in-zinios{
	background-color: #FBF2FF;
}

.tema-loop-item.tema-juridinio-asmens-pavadinimas{
	background-color: #FFEFEE;
}

.tema-loop-item.tema-domenai{
	background-color: #DFFFFF;
}

.tema-loop-item.tema-komercines-paslaptys{
	background-color: #FFF8FE;
}

.tema-loop-item.tema-kita{
	background-color: #F4FBD7;
}

.tema-loop-item.tema-dizainas{
	background-color: #EEF7FF;
}

.mokymai-temos-list .tema-loop-item .tema-item-featured{
	width: 12px;
}


.mokymai-temos-list .tema-loop-item .tema-title{
	font-size: 1rem;
	font-family: 'Afacad';
	margin-block-end: 0rem;
  margin-block-start: 0rem;
	line-height: 1.5rem;
}

.dialog-lightbox-message{
	overflow: hidden !important;
}

.bouncing {
  animation: bouncing 1.2s ease-in-out infinite;
}

@keyframes bouncing {
  0%   { transform: scale(1); }
  50%  { transform: scale(1.05); }
  100% { transform: scale(1); }
}

/** WPC filters styling */

.filter-shortcode {
    border-top: 1px solid #f2f2f2;
}

.wpc-filters-widget-wrapper{
	display: flex;
	width: 100%;
    flex-wrap: no-wrap;
}

/* .wpc-filters-section:not(.wpc-filter-layout-submit-button) {
    flex: 1;
} */

.wpc-filter-layout-submit-button {
    width: 100%;
    display: flex;
    justify-content: flex-start !important;
    flex-direction: row !important;
    gap: 16px;
}

.wpc-filter-layout-submit-button a {
    padding: 10px 16px !important;
    border-radius: 100px !important;
    width: 200px !important;
    font-family: 'Afacad';
    font-size: 18px;
    line-height: 18px;
    font-weight: 500 !important;
    transition: transform 0.3s !important;
}

.wpc-filter-layout-submit-button a:hover {
    transform: scale(0.9) !important;
}

.wpc-filters-submit-button {
    color: rgb(202, 235, 55) !important;
    background-color: #000 !important;
    border-color: #000 !important;
}

.wpc-filters-section.wpc-filter-_mokymu_tema_filter{
	width: 100%;
}
.wpc-filters-section.wpc-filter-mokymu_tipas, .wpc-filters-section.wpc-filter-sudetingumas {
	width: 49%;
}

.wpc-filter-title{
	font-size: 20px;
	font-weight: 700;
	color: black;
	line-height: 140%;
	font-family: 'Afacad';
}

.wpc-filter-link{
	font-family: 'Afacad';
	font-size: 22px;
	
}

.wpc-filter-content .wpc-filters-ul-list{
	width: 100%;
}

.wpc-term-count-0 a{
		color: #ADADAD !important;	
}

.wpc-filters-ul-list ul{
	display: flex;
    gap: 16px;
    flex-direction: column;
}

.wpc-filters-ul-list ul li {
    margin: 0;
}

.wpc-filters-widget-wrapper .wpc-filters-section {
    padding: 16px;
    position: relative;
}

.wpc-filters-widget-wrapper .wpc-filters-section:nth-last-of-type(n+2)::after {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 1px;
    background: linear-gradient(to bottom, #f2f2f2, transparent);
}

.wpc-reset-in-header {
    font-size: 14px;
    font-weight: 400;
    color: #999;
    text-decoration: none;
    margin-left: 12px;
    display: none;
}

.wpc-reset-in-header:hover {
    color: #333;
    text-decoration: underline;
}

.wpc-reset-in-header.visible {
    display: inline !important;
}

@media only screen and (max-width: 768px) {
    .wpc-filters-widget-wrapper .wpc-filters-section:nth-last-of-type(n+3)::after {
        display: none;
    }

    .wpc-filters-widget-wrapper .wpc-filters-section {
        border-bottom: 1px solid #f2f2f2;
        padding-bottom: 10px;
        margin-bottom: 10px;
        width: 100%;
    }

    .wpc-filters-widget-wrapper .wpc-filters-section:last-of-type {
        border-bottom: none;
    }
}

.e-n-accordion-item[open] > summary {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.wpc-term-item-content-wrapper label {
    line-height: 22px !important;
}

/* Style for the custom checkbox circle */
.wpc-term-item-content-wrapper label:before {
    content: "";
    position: absolute;
    top: 2px;
    left: 0;
    width: 16px;
    height: 16px;
    border: 2px solid #000;
    border-radius: 50%;
    background-color: #fff;
}

.wpc-term-count-0 .wpc-term-item-content-wrapper label:before {
    border: 2px solid #ADADAD;
}


/* Style for the SVG icon that will appear when checked */
.wpc-term-item-content-wrapper input[type="checkbox"]:checked + label::after, .wpc-term-item-content-wrapper label:hover::after {
    content: "";
    position: absolute;
    top: 2px;
    left: 0;
    width: 16px;
    height: 16px;
    background-color: transparent;
    background-image: url('data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KPHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGlkPSJMYXllcl8xIiBkYXRhLW5hbWU9IkxheWVyIDEiIHZpZXdCb3g9IjAgMCAyNCAyNCIgd2lkdGg9IjUxMiIgaGVpZ2h0PSI1MTIiPjxwYXRoIGQ9Im0xOC4yMTQsOS4wOThjLjM4Ny4zOTQuMzgxLDEuMDI3LS4wMTQsMS40MTRsLTQuNDI2LDQuMzQ1Yy0uNzgzLjc2OC0xLjc5MSwxLjE1MS0yLjgsMS4xNTEtLjk5OCwwLTEuOTk2LS4zNzYtMi43NzYtMS4xMjlsLTEuODk5LTEuODY3Yy0uMzk0LS4zODctLjM5OS0xLjAyLS4wMTItMS40MTQuMzg2LS4zOTUsMS4wMjEtLjQsMS40MTQtLjAxMmwxLjg5MywxLjg2MWMuNzc2Ljc1LDIuMDAxLjc0NiwyLjc4MS0uMDE4bDQuNDI1LTQuMzQ0Yy4zOTMtLjM4OCwxLjAyNC0uMzgxLDEuNDE0LjAxM1ptNS43ODYsMi45MDJjMCw2LjYxNy01LjM4MywxMi0xMiwxMlMwLDE4LjYxNywwLDEyLDUuMzgzLDAsMTIsMHMxMiw1LjM4MywxMiwxMlptLTIsMGMwLTUuNTE0LTQuNDg2LTEwLTEwLTEwUzIsNi40ODYsMiwxMnM0LjQ4NiwxMCwxMCwxMCwxMC00LjQ4NiwxMC0xMFoiLz48L3N2Zz4K') ;
    background-size: contain;
    background-repeat: no-repeat;
}

.wpc-filters-main-wrap li.wpc-term-item label {
    flex-direction: row;
    align-items: center;
    gap: 8px;
    padding-left: 25px;
}

/** artimiausi mokymai loop */

.artimiausiu-mokymu-loop .e-con-inner{
	 margin: 0 !important;
}

.artimiausi-mokymai .e-loop-item:nth-child(3) .artimiausiu-mokymu-loop{
	background-color: #FFEFEE !important;
	border-color: #FAB19F;
}

.artimiausi-mokymai .e-loop-item:nth-child(4) .artimiausiu-mokymu-loop{
	background-color: #E5FDF6 !important;
	border-color: #54EFC3;
}

.artimiausi-mokymai .e-loop-item:nth-child(5) .artimiausiu-mokymu-loop{
	background-color: #EEF7FF !important;
	border-color: #74B9FF;
}

.artimiausi-mokymai .e-loop-item:nth-child(6) .artimiausiu-mokymu-loop{
	background-color: #F4F3FF !important;
	border-color: #A29BFE;
}

.pdf-container, .youtube-video-container, .ppt-container{
    overflow: hidden;
}

a:hover {
    text-decoration: none !important;
}

.elementor-flip-box__layer {
    transition: all .6s ease-in-out !important;
}

.elementor-flip-box--effect-flip .elementor-flip-box__layer {
    backface-visibility: hidden;
    transform-style: preserve-3d !important;
}


.kam-skirtas-kursas-list{
	display: grid;
	font-family: 'Afacad';
	gap: 3rem;
}

.ka-suzinosite-list{
	display: grid;
	font-family: 'Afacad';
	grid-template-columns: repeat(2, 1fr);
	gap: 16px;
}

.ka-suzinosite-list .ka-suzinosite-item{
	display: flex;
	gap: 16px;
	font-size: 22px;
	font-weight: 400;
	line-height: 120%;
	color: #666666;
}

.kam-skirtas-kursas-list.grid-3{
	grid-template-columns: repeat(3, 1fr);
}

.kam-skirtas-kursas-list.grid-2{
	grid-template-columns: repeat(2, 1fr);
}

.kam-skirtas-kursas-list.grid-1{
	grid-template-columns: repeat(1, 1fr);
}

.kam-skirtas-kursas-list .kam-skirtas-kursas-item{
	background-color: #F4F3FF;
	padding: 1.5rem;
	border-radius: 1rem;
}

.kam-skirtas-kursas-list .kam-skirtas-kursas-item .pavadinimas{
	font-size: 32px;
	font-weight: 700;
	color: black;
}

.kam-skirtas-kursas-list .kam-skirtas-kursas-item .aprasymas{
	font-size: 22px;
	font-weight: 400;
	color: #666666;
	line-height: 120%;
}

.lecturer-details img.social-icon {
    width: 24px;
}

.lecturer-details .lecturer-image {
    width: 100px;
    height: 100px;
    border-radius: 100px;
    object-fit: cover;
}

.lecturer-details {
    display: flex;
    justify-content: space-between;
		font-family: 'Afacad';
		padding: 8px 0px;
}

.lecturer-details .lecturer-info {
    display: flex;
		gap: 24px;
}

.lecturer-details .lecturer-name{
	display: flex;
	flex-direction: column;
	gap: 0px;
	justify-content: center;
}

.lecturer-details .lecturer-name span{
	font-size: 22px;
	line-height: 120%;
	color: black;
}

.lecturer-details .lecturer-name .lecturer-title{
	font-size: 24px;
	line-height: 140%;
	color: black;
	font-weight: 700;
	margin: 0 0 -5px 0;
}

.lecturer-details .lecturer-socials{
	display: flex;
	align-items: center;
	gap: 14px;
}

.lecturer-details .lecturer-socials a:hover img{
		transform: scale(0.95);
}

.lecturer-details .lecturer-socials a img{
		transition: 0.3s all ease !important;
}

.content-width{
	width: max-content;
}

.mokymo-medziaga-item .title {
    font-family: 'Afacad';
    font-size: 24px;
    font-weight: bold;
    color: black;
}

.mokymo-medziaga-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 32px;
}

.mokymo-medziaga-item .mokymo-medziagos-trukme{
	font-family: 'Afacad';
	font-size: 24px;
	font-weight: bold;
	color: black;
}

.mokymo-medziaga-item .buttons {
    display: flex;
    gap: 24px;
}

.mokymo-medziaga-item a.button {
    font-size: 18px;
    font-family: 'Afacad';
    color: black;
    line-height: 150%;
    font-weight: 500;
		transition: 0.3s all ease !important;
		display: flex;
    gap: 8px;
    align-items: center;
}

.mokymo-medziaga-item a.button:hover {
    transform: scale(0.98);
}

.lecturer-description{
	font-size: 22px;
	color: #666666;
}

.lecturer-description p{
	margin-bottom: 0 !important;
}

@media only screen and (max-width: 1024px){
		.kam-skirtas-kursas-list.grid-3, .kam-skirtas-kursas-list.grid-2{
			grid-template-columns: repeat(2, 1fr);
		}
	
	.kam-skirtas-kursas-list.grid-1{
		grid-template-columns: repeat(1, 1fr);
	}
	
	.wpc-filters-widget-wrapper{
	display: flex;
		flex-direction: column;
	width: 100%;
}

.wpc-filter-_mokymu_tema_filter{
	width: 100%;
}

.wpc-filter-mokymu_tipas, .wpc-filter-sudetingumas {
	width: 100%;
}

}

@media only screen and (max-width: 767px){
	.mokymo-medziaga-item {
   	flex-direction: column;
    justify-content: space-between;
    padding: 16px 16px;
		align-items: start;
    gap: 16px;
	}
	
	.lecturer-details {
		flex-direction: column;
		gap: 12px;
	}
	
	.wpc-filter-mokymu_tema ul{
	display: grid;
		grid-template-columns: repeat(1, 1fr);

}
	
	.lecturer-details .lecturer-info {
    flex-direction: column;
		gap: 12px;
	}
	
	.kam-skirtas-kursas-list{
		gap: 1.5rem;
	}

		.kam-skirtas-kursas-list.grid-3, .kam-skirtas-kursas-list.grid-2, .kam-skirtas-kursas-list.grid-1{
			grid-template-columns: repeat(1, 1fr);
		}
	
	.ka-suzinosite-list{
	grid-template-columns: repeat(1, 1fr);
}

}


@media only screen and (max-width: 500px){
	.lecturer-details {
		flex-direction: column;
		gap: 12px;
	}
	
	.lecturer-details .lecturer-info {
    flex-direction: column;
		gap: 12px;
	}
}

/** open/close icon toggle on accordion */

#e-n-accordion-item-2320 .e-n-accordion-item-title-icon .e-opened,
#e-n-accordion-item-2320 .e-n-accordion-item-title-icon .e-closed {
    display: none !important;
}

#e-n-accordion-item-2320 .e-n-accordion-item-title-icon {
    width: 20px;
    height: 20px;
    position: relative;
}

#e-n-accordion-item-2320[open] .icon-line::after {
    opacity: 0;
}

#e-n-accordion-item-2320 .e-n-accordion-item-title-icon .icon-line {
    height: 2px !important;
    width: 100% !important;
}

.icon-line {
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    background: #000;
    left: 0;
    transition: all 0.35s ease-in-out;
}

.icon-line::after {
    content: '';
    position: absolute;
    width: 4px;
    height: 4px;
    background: currentColor;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.35s ease-in-out;
}

.icon-line-1 { top: 3px; }
.icon-line-2 { top: 50%; transform: translateY(-50%); }
.icon-line-3 { bottom: 3px; }

.icon-line-1::after { left: 65%; }
.icon-line-2::after { left: 15%; }
.icon-line-3::after { left: 50%; }

#e-n-accordion-item-2320[open] .icon-line-1 {
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}

#e-n-accordion-item-2320[open] .icon-line-2 {
    opacity: 0;
}

#e-n-accordion-item-2320[open] .icon-line-3 {
    bottom: 50%;
    transform: translateY(50%) rotate(-45deg);
}

/** Gyvi mokymai kortelės stilius */

a.green > div {
    background-color: #F4FBD7;
    border: 2px solid #F4FBD7;
    border-radius: 24px;
}

a.green:hover > div {
    border: 2px solid #CAEB37;
}

/** Archyvo šablono featured image stilius */

.archive-header-image {
    display: block;
    width: 100%;
    height: 400px !important;
    object-fit: cover;
    object-position: center center;
    border-radius: 1.5rem !important;
}

@media (max-width: 767px) {
    .archive-header-image {
        height: 300px !important;
    }
}

/** Rodyti filtrus dviejuose stulpeliuose */

.wpc-filter-_mokymu_tema_filter .wpc-filters-ul-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0 16px;
}

.wpc-term-count {
    display: contents !important;
}